summaryrefslogtreecommitdiffstats
path: root/network/warvox/warvox.SlackBuild
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-12 23:32:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:53 +0200
commit9d3128ccaf04b40859fac62c05a00e900d22535b (patch)
treeabe99c904245be0efdf9fd8a56bf9137dee0f5c9 /network/warvox/warvox.SlackBuild
parent0d3981844e5bef98c119c1319c8a8967adefb996 (diff)
downloadslackbuilds-9d3128ccaf04b40859fac62c05a00e900d22535b.tar.gz
slackbuilds-9d3128ccaf04b40859fac62c05a00e900d22535b.tar.xz
network/warvox: Added to 12.2 repository
Diffstat (limited to 'network/warvox/warvox.SlackBuild')
-rw-r--r--network/warvox/warvox.SlackBuild93
1 files changed, 93 insertions, 0 deletions
diff --git a/network/warvox/warvox.SlackBuild b/network/warvox/warvox.SlackBuild
new file mode 100644
index 0000000000..55ddd0ac1f
--- /dev/null
+++ b/network/warvox/warvox.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for WarVOX.
+
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=warvox
+VERSION=${VERSION:-1.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+
+# Install WarVOX
+mkdir -p $PKG/opt/warvox $PKG/etc
+cp -rv {bin,data,docs,etc,lib,web} $PKG/opt/warvox
+mv $PKG/opt/warvox/etc/warvox.conf $PKG/etc/warvox.conf.new
+( cd $PKG/opt/warvox/etc ; ln -s ../../../etc/warvox.conf . )
+
+# Create a "normal" pid directory
+mkdir -p $PKG/var/run/warvox
+( cd $PKG/opt/warvox/web/tmp
+ rm -rf pids
+ ln -s ../../../../var/run/warvox pids
+)
+
+# Install a launcher
+mkdir -p $PKG/usr/bin
+cat $CWD/warvox > $PKG/usr/bin/warvox
+chmod 755 $PKG/usr/bin/warvox
+
+# Install an rc file
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.warvox > $PKG/etc/rc.d/rc.warvox.new
+chmod 0755 $PKG/etc/rc.d/rc.warvox.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/opt/warvox/docs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/opt/warvox ; ln -s ../../usr/doc/$PRGNAM-$VERSION docs )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz